<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>LPM: lpm_driver.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<table width="100%">
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border="0" src="tilogo.gif" /></a></td>
  <td bgcolor="red"><img src="titagline.gif" /></td>
</tr>
</table>
<!-- Generated by Doxygen 1.7.2 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li id="searchli">
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath">
    <ul>
      <li><a class="el" href="dir_409878f19ab76bcc4c4d9dca73a57241.html">packages</a>      </li>
      <li><a class="el" href="dir_86c173ebdabd7d1f7abfcd6c0f2bc4f9.html">ti</a>      </li>
      <li><a class="el" href="dir_ba80d9a133efc3b210550525ea58404d.html">bios</a>      </li>
      <li><a class="el" href="dir_cffc566c7bacb51cfb5dbc7bdae8364c.html">power</a>      </li>
      <li><a class="el" href="dir_5c409a3a72a1167f2ca9e8c29010ae42.html">modules</a>      </li>
      <li><a class="el" href="dir_671e9f8f9fa030a42b1d89db22b053cf.html">omap2530</a>      </li>
      <li><a class="el" href="dir_eb53ae754cdcd847335be2b30c6fb5d8.html">lpm</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<h1>omap2530/lpm/lpm_driver.h File Reference</h1>  </div>
</div>
<div class="contents">

<p><a href="omap2530_2lpm_2lpm__driver_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="omap2530_2lpm_2lpm__driver_8h.html#a0b348311d96c2fded948f7e9d0215ac0">LPM_ExtPwrFxn</a> )(void *arg)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Function typedef of the functions which control the external power supply.  <a href="#a0b348311d96c2fded948f7e9d0215ac0"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="omap2530_2lpm_2lpm__driver_8h.html#a5e8055d26a7a63cadf3daa8eef9f47fb">lpm_regExtOffFxn</a> (char *device, <a class="el" href="omap3530_2lpm_2lpm__driver_8h.html#a0b348311d96c2fded948f7e9d0215ac0">LPM_ExtPwrFxn</a> fxn, void *arg)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Register an external power off function.  <a href="#a5e8055d26a7a63cadf3daa8eef9f47fb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="omap2530_2lpm_2lpm__driver_8h.html#ac0e18a457facf255d518a8c87ffd602b">lpm_regExtOnFxn</a> (char *device, <a class="el" href="omap3530_2lpm_2lpm__driver_8h.html#a0b348311d96c2fded948f7e9d0215ac0">LPM_ExtPwrFxn</a> fxn, void *arg)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Register an external power on function.  <a href="#ac0e18a457facf255d518a8c87ffd602b"></a><br/></td></tr>
</table>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="a0b348311d96c2fded948f7e9d0215ac0"></a><!-- doxytag: member="omap2530/lpm/lpm_driver.h::LPM_ExtPwrFxn" ref="a0b348311d96c2fded948f7e9d0215ac0" args=")(void *arg)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* <a class="el" href="omap3530_2lpm_2lpm__driver_8h.html#a0b348311d96c2fded948f7e9d0215ac0">LPM_ExtPwrFxn</a>)(void *arg)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Function typedef of the functions which control the external power supply. </p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a5e8055d26a7a63cadf3daa8eef9f47fb"></a><!-- doxytag: member="omap2530/lpm/lpm_driver.h::lpm_regExtOffFxn" ref="a5e8055d26a7a63cadf3daa8eef9f47fb" args="(char *device, LPM_ExtPwrFxn fxn, void *arg)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int lpm_regExtOffFxn </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"> <em>device</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="omap3530_2lpm_2lpm__driver_8h.html#a0b348311d96c2fded948f7e9d0215ac0">LPM_ExtPwrFxn</a>&#160;</td>
          <td class="paramname"> <em>fxn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"> <em>arg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Register an external power off function. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">device</td><td>Linux device name. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fxn</td><td>A function address which will turn off the external power supply to the DSP Power Domain. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">arg</td><td>An argument passed to the callback function.</td></tr>
  </table>
  </dd>
</dl>
<dl><dt><b>Return values:</b></dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>The function was successfully registered. </td></tr>
    <tr><td class="paramname">-1</td><td>The given device name was not found. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac0e18a457facf255d518a8c87ffd602b"></a><!-- doxytag: member="omap2530/lpm/lpm_driver.h::lpm_regExtOnFxn" ref="ac0e18a457facf255d518a8c87ffd602b" args="(char *device, LPM_ExtPwrFxn fxn, void *arg)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int lpm_regExtOnFxn </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"> <em>device</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="omap3530_2lpm_2lpm__driver_8h.html#a0b348311d96c2fded948f7e9d0215ac0">LPM_ExtPwrFxn</a>&#160;</td>
          <td class="paramname"> <em>fxn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"> <em>arg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Register an external power on function. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">device</td><td>Linux device name. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fxn</td><td>A function address which will turn off the external power supply to the DSP Power Domain. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">arg</td><td>An argument passed to the callback function.</td></tr>
  </table>
  </dd>
</dl>
<dl><dt><b>Return values:</b></dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>The function was successfully registered. </td></tr>
    <tr><td class="paramname">-1</td><td>The given device name was not found. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1" /><small>
Copyright  2011, Texas Instruments Incorporated</small>
</body>
</html>
